<template lang="pug">
	#pagina
		Encabezado#encabezado
		//- Navegacion#navegacion
		Ruta#ruta
		main#main: nuxt
		Pie#pie
</template>


<script>
import Encabezado from "~/components/Encabezado.vue"
import Ruta from "~/components/Ruta.vue"
import Pie from "~/components/Pie.vue"
import Navegacion from "~/components/Navegacion.vue"

export default {
	components: {
		Encabezado,
		Ruta,
		Pie,
		Navegacion
	}

}
</script>

<style lang="stylus">

#pagina
	min-height 100vh
	display grid
	grid-template-areas "encabezado" "navegacion" "ruta" "main" "pie"
	grid-template-rows auto auto auto 1fr auto

	@media (min-width: 768px)
		grid-template-rows auto auto 1fr auto

	#encabezado
		grid-area encabezado
	#navegacion
		grid-area navegacion
	#ruta
		grid-area ruta
	#main
		grid-area main
	#pie
		grid-area pie

</style>
